Bug 1005447 - Please enable xpyb xcb for pycairo
Please enable xpyb xcb for pycairo
Product: Fedora
Classification: Fedora
Component: pycairo (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Extras Quality Assurance
Depends On: 980071
  Show dependency treegraph
Reported: 2013-09-06 23:20 EDT by Tomas Dabašinskas
Modified: 2014-02-27 05:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-27 05:47:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
spec (5.25 KB, text/x-matlab)
2013-09-06 23:20 EDT, Tomas Dabašinskas
no flags Details

  None (edit)
Description Tomas Dabašinskas 2013-09-06 23:20:25 EDT
Created attachment 795047 [details]

I'm working on packaging qtile window manager for fedora, qtile requires pycairo with xpyb xcb enabled. I have built python-xpyb 980071 and ran pycairo scratch build with xpyb and xcb enabled http://koji.fedoraproject.org/koji/taskinfo?taskID=5907022 I'd appreciate if you could please pull my spec file attached, you can also download spec file here: http://people.fedoraproject.org/~tdabasin/pycairo.spec

diff --git a/pycairo.spec b/pycairo.spec
index 46a31ca..d9e1c97 100644
--- a/pycairo.spec
+++ b/pycairo.spec
@@ -2,7 +2,7 @@

 Name: pycairo
 Version: 1.8.10
-Release: 7%{?dist}
+Release: 8%{?dist}
 License: MPLv1.1 or LGPLv2
 Group: Development/Languages
 Summary: Python bindings for the cairo library
@@ -12,6 +12,8 @@ Source: http://cairographics.org/releases/py2cairo-%{version}.tar.gz
 BuildRequires: cairo-devel
 BuildRequires: pkgconfig
 BuildRequires: python-devel
+BuildRequires: libxcb-devel
+BuildRequires: python-xpyb-devel

 Python bindings for the cairo library.
@@ -32,7 +34,8 @@ libraries so that they interoperate with pycairo.
 %setup -q

+%configure --enable-xcb \
+       --enable-xpyb
 make %{?_smp_mflags}

@@ -51,6 +54,9 @@ find $RPM_BUILD_ROOT -name '*.la' | xargs rm -f

+* Sat Sep 07 2013 Tomas Dabasinskas <tdabasin@fedoraproject.org> - 1.8.10-8
+- Enabling xcb and xpyb
 * Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.10-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

Many thanks,

Note You need to log in before you can comment on or make changes to this bug.